> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PARTIAL-DELETE/Submission

> This API allows you to selectively delete specific fields from a single submission data. Unlike complete deletion, you can preserve necessary data while removing only sensitive information, enabling flexible use according to your company's internal policies.

<Warning>
  Important Notes

  * Deleted specific fields cannot be restored.
  * Use this API with caution. Be careful not to accidentally delete important data.
  * When Partial Delete is applied to a component that is a target for duplicate checking, duplicate checks will not be applied to that submission.
    * Even if data identical to the state before Partial Delete was applied comes in, duplicate checks will not be applied.
</Warning>

## 1. Endpoint

```text PARTIAL-DELETE/Submission theme={null}
DELETE https://rest-api.argosidentity.com/v3/submission/partial?submission_id={submission_id}
```

## 2. Authentication

Include the API key in the x-api-key header:

```text x-api-key theme={null}
x-api-key: {yourAPIKey}
```

## 3. Request Parameter

<ResponseField name="submission_id" type="string" required="true">
  Unique ID of the submission to be deleted
</ResponseField>

<ResponseField name="fields" type="string" required="false">
  Use the fields parameter to selectively delete specific types of data.
  You can input one of the following options:

  * `id_image`
  * `selfie_image`
  * `data`: Final confirmed dataset as a result of the process
  * `OCR_raw`(\*case-sensitive): RAW dataset extracted by OCR
  * `ocr`: Dataset converted from extracted OCR to standardized format
  * `review`: Result dataset reviewed by user using OCR results (automatically processed with the same value when OCR recognition score is high)
  * `applicant_id`
  * `email`
  * `userid`
  * `additional_list`
  * `duplicated_information`
  * `custom_duplicated_information`
  * `injection_action`
</ResponseField>

<ResponseField name="data_fields" type="string">
  Use the data\_fields parameter to selectively delete specific types of personal information within the data field. **`data_fields` only works when the `data` field is declared in the `fields` parameter**, and in this case, if no value is provided in the data\_fields parameter, all sub-data under data will be deleted.
  Data refers to the final confirmed dataset as a result of the process.
  You can input one of the following options:

  * `age_group`
  * `first_name`
  * `last_name`
  * `full_name` — refers to the same field as `name`
  * `full_name_en`
  * `name` — refers to the same field as `full_name`
  * `gender`
  * `nationality`
  * `date_of_birth`
  * `address_city`
  * `address_country`
  * `address_state`
  * `address_street`
  * `address_street2`
  * `address_zipcode`
  * `address_globalCode`
  * `address_compoundCode`
  * `address_formatted`
  * `address_input`
  * `address_detail`
  * `ip_address`
  * `idcard_issuingCountry`
  * `idcard_issueDate`
  * `idcard_expireDate`
  * `idType`
  * `documentNumber`
  * `identityNumber`
  * `ssnNumber`
  * `phoneNumber`
  * `cf1`
  * `cf2`
  * `cf3`

  <Note>
    `name` and `full_name` refer to the same field. Either key applies to the same data.
  </Note>
</ResponseField>

<ResponseField name="admin_name" type="string">
  Email of the administrator who performed the deletion
</ResponseField>

### 3-1. Data to be Deleted

* parameters declared from **fields** and **data\_fields**

### 3-2. Data to be Retained

* In submitted cases, parameters not declared in fields, and when specific parameters are specified in data\_fields, unspecified parameters will not be deleted and will be retained.

## 4. Request Example

### Using fields only

```curl PARTIAL-DELETE/Submission theme={null}
curl --location --request DELETE 'https://rest-api.argosidentity.com/v3/submission/partial?submission_id={submission_id}&fields=id_image' \ --header 'x-api-key: {yourAPIKey}'
```

### Using fields and data\_fields

```curl PARTIAL-DELETE/Submission theme={null}
curl --location --request DELETE 'https://rest-api.argosidentity.com/v3/submission/partial?submission_id={submission_id}&fields=data&data_fields=gender,ip_address' \ --header 'x-api-key: {yourAPIKey}'
```

### Using multiple fields and data\_fields

```curl PARTIAL-DELETE/Submission theme={null}
curl --location --request DELETE 'https://rest-api.argosidentity.com/v3/submission/partial?submission_id={submission_id}&fields=id_image,data,selfie_image&data_fields=gender,ip_address' \ --header 'x-api-key: {yourAPIKey}'
```

## 5. Response

### 5-1. Success Response

```result.json theme={null}
{
    "message": "success",
    "content": "Submission {submission_id} partially deleted successfully.",
    "statusCode": 200
}
```

### 5-2. Error Response

If an error occurs, a 400 status code is returned along with details in the response body:

```json error.json theme={null}
{
    "message": "submission_id is required",
    "statusCode": 400
}
```

### 5-3. Error Codes

| Error Code                                                                                                  | Description                                                                                           |
| ----------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| `submission_id is required`                                                                                 | Required parameter `submission_id` is missing from the request                                        |
| `fields parameter is required and cannot be empty`                                                          | Required parameter `fields` is missing or empty in the request                                        |
| `fields must be a string`<br />`data_fields must be a string`                                               | `fields` parameter is not in string format<br /><br />`data_fields` parameter is not in string format |
| `fields cannot be empty`                                                                                    | `fields` parameter is empty                                                                           |
| `invalid fields found in fields: field1, field2`<br />`invalid fields found in data_fields: field1, field2` | Invalid fields are included in `fields`<br /><br />Invalid fields are included in `data_fields`       |
| `data_fields parameter is not allowed when fields does not include data`                                    | `data_fields` parameter is provided when `data` is not included in the `fields` parameter             |
| `invalid format for fields: error message`                                                                  | Format of `fields` parameter is invalid                                                               |
| `invalid format for data_fields: error message`                                                             | Format of `data_fields` parameter is invalid                                                          |
| `invalid API key for this project`                                                                          | Provided API key is not valid for this project                                                        |
| `not Exist Submission Data`                                                                                 | No data exists for the requested `submission_id`                                                      |
| `not Exist Project Data`                                                                                    | No project data exists                                                                                |
| `Internal server error`                                                                                     | Internal server error occurred                                                                        |
